# SoRotor Class Reference
[Nodes]

`#include <Inventor/nodes/SoRotor.h>`

Inheritance diagram for SoRotor:

List of all members.

## Detailed Description

The SoRotor class is a node used to animate rotations.

Insert this node in your hierarchy to apply a continuous rotation to some geometry. Since this node inherits the SoRotation node, rotation is restricted around the axis specified in the rotation field.

The angle value of the SoRotation::rotation field (inherited by this node) gives the rotation direction. If the value is larger than 0.0, the rotation will be done in the counterclockwise direction, if it is negative the rotation will be done in the clockwise direction.

Do not set the rotation value to exactly 0.0, as rotations are internally handled as quaternions, and when converting from an angle and a rotation value to a quaternion representation, the information about the angle "gets lost" if there is no actual rotation.

Note also that the rotation will start at the given angle value.

## Public Member Functions

| SoRotor (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFFloat | speed
SoSFBool | on

## Protected Member Functions

virtual | ~SoRotor ()

## Constructor & Destructor Documentation

SoRotor::SoRotor | ( | void |  | ) |

| Constructor.

SoRotor::~SoRotor | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoRotor::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoRotation.

## Member Data Documentation

SoSFFloat SoRotor::speed

| Specifies the speed of rotation, in revolutions per second. Defaults to 1.0.

SoSFBool SoRotor::on

| Enable/disable rotation. Default enabled.

The documentation for this class was generated from the following files:

- SoRotor.h
- SoRotor.cpp